﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Data;
using System.Windows.Controls;

namespace HiddenAdd
{
    public class ViewModel
    {
        public BindingList<DeleteableChar> WorkingList1 { get; set; }
        public BindingListCollectionView WorkingList2 { get; set; }
        public ListCollectionView WorkingList3 { get; set; }

        public ViewModel()
        {
            WorkingList1 = new BindingList<DeleteableChar>();
            WorkingList2 = new BindingListCollectionView(new BindingList<DeleteableChar>());
            WorkingList3 = new ListCollectionView(new List<DeleteableChar>());
            
        }
    }

    public class DeleteableChar
    {
        public bool PendingDelete { get; set; }
        public Characteristic Characteristic { get; set; }
    }

    public class Characteristic
    {
        public string Description { get; set; }
        public int CharacteristicID { get; set; }
    }
}
